Bug 806595 - usbview is not able to work without /proc/bus/usb/devices
usbview is not able to work without /proc/bus/usb/devices
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: usbview (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-25 04:30 EDT by Joachim Backes
Modified: 2012-06-25 20:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-16 19:57:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Backes 2012-03-25 04:30:47 EDT
Description of problem:

I'm trying to run usbview in F17, but it fails because of missing /proc/bus/usb/devices.

Version-Release number of selected component (if applicable):
usbview-1.1-7.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1.usbview
2.
3.
  
Actual results:

Error popup:
"Can not open the file /proc/bus/usb/devices

Verify that you have USB compiled into your kernel, have USB core modules, and have the usbdevfs filesystem mounted."

Expected results:


Additional info:

I tried to run the "Configure dialog" in usbview by using /sys/bus/usb/devices instead of /proc/bus/usb/devices, but then usbview hangs up in the configure dialog.
Comment 1 Vasiliy Glazov 2012-06-14 09:45:48 EDT
I confirm bug.
Need repare program or remove it from repositories.
Comment 2 Hans de Goede 2012-06-14 10:53:40 EDT
This has been annoying me for a while too, so I've decided it is time to step in and fix this, expect an updated package fixing this soon.
Comment 3 Hans de Goede 2012-06-14 17:38:29 EDT
While at it I've also ported usbview to gtk3 :)

Update is on its way now.
Comment 4 Fedora Update System 2012-06-14 18:03:07 EDT
usbview-1.1-8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/usbview-1.1-8.fc17
Comment 5 Fedora Update System 2012-06-14 18:03:40 EDT
usbview-1.1-8.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/usbview-1.1-8.fc16
Comment 6 Fedora Update System 2012-06-15 08:23:14 EDT
Package usbview-1.1-8.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing usbview-1.1-8.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9457/usbview-1.1-8.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-06-16 19:57:29 EDT
usbview-1.1-8.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-06-25 20:48:05 EDT
usbview-1.1-8.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.